#ifndef BACKENDLOGIC_H
#define BACKENDLOGIC_H

#include <QObject>
#include <QJsonObject>

class BackendLogic : public QObject
{
 Q_OBJECT
public:
 explicit BackendLogic(QObject *parent = nullptr) {
 Q_UNUSED(parent);}
 Q_INVOKABLE int getData() {return mValue; }
 Q_INVOKABLE void shutdown();
 Q_INVOKABLE QJsonObject getDeviceInfo();
private:
 int mValue = 100;
};

#endif // BACKENDLOGIC_H
